Page MenuHomePhabricator

Rename WikibaseRepo’s idBlacklist setting
Closed, ResolvedPublic

Description

I suggest “reservedEntityIds” instead, which I think reflects the usage of this setting more accurately: the listed entity IDs are (usually) not blocked altogether, just reserved for manual creation by the wiki administrator(s).

Related Objects

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 7 2020, 11:53 AM

Change 602981 had a related patch set uploaded (by Lucas Werkmeister; owner: Lucas Werkmeister):
[operations/mediawiki-config@master] Remove Wikibase idBlacklist setting

https://gerrit.wikimedia.org/r/602981

Change 602981 merged by jenkins-bot:
[operations/mediawiki-config@master] Remove Wikibase idBlacklist setting

https://gerrit.wikimedia.org/r/602981

Mentioned in SAL (#wikimedia-operations) [2020-06-08T11:15:16Z] <lucaswerkmeister-wmde@deploy1001> Synchronized wmf-config/Wikibase.php: SWAT: [[gerrit:602981|Remove Wikibase idBlacklist setting (T254686)]], part 1 (duration: 00m 56s)

Mentioned in SAL (#wikimedia-operations) [2020-06-08T11:16:35Z] <lucaswerkmeister-wmde@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:602981|Remove Wikibase idBlacklist setting (T254686)]], part 2 (duration: 00m 56s)

One question to be decided: to what extent do we announce this? Does this fall under the stable interface policy? Do we notify wikidata-l, wikidata-tech-l, and/or wikibase-l? (I sort of don’t want to bother too many people with this, because as far as I understand, this isn’t usually a setting you need to keep around forever, just for the initial setup phase.)

Change 603878 had a related patch set uploaded (by Addshore; owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/Wikibase@master] Use "reserved IDs" instead of "blacklist" in code

https://gerrit.wikimedia.org/r/603878

One question to be decided: to what extent do we announce this? Does this fall under the stable interface policy? Do we notify wikidata-l, wikidata-tech-l, and/or wikibase-l? (I sort of don’t want to bother too many people with this, because as far as I understand, this isn’t usually a setting you need to keep around forever, just for the initial setup phase.)

Wikibase PHP code is not considered a stable interface.

I don't think this needs an announcement, and I suspect the usage of this setting in the wild (for other wikibases) is 0.

If someone wants to make the commit changing the name of the option I'll be more than happy to merge it without bothering anyone else :)

Change 603878 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Use "reserved IDs" instead of "blacklist" in code

https://gerrit.wikimedia.org/r/603878

Change 604506 had a related patch set uploaded (by Lucas Werkmeister; owner: Lucas Werkmeister):
[mediawiki/extensions/Wikibase@master] Rename idBlacklist setting to reservedIds

https://gerrit.wikimedia.org/r/604506

Change 604506 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Rename idBlacklist setting to reservedIds

https://gerrit.wikimedia.org/r/604506

LucasWerkmeister closed this task as Resolved.Jul 3 2020, 2:24 PM
LucasWerkmeister claimed this task.

We ended up merging this without any formal deprecation period or announcement.